//
//  DatePickerViewController.m
//  ToDo-RestKit
//
//  Created by Rodger Higgins on 4/22/13.
//  Copyright (c) 2013 Rodger Higgins. All rights reserved.
//

#import "DatePickerViewController.h"

@interface DatePickerViewController () {
    NSDateFormatter *_dateFormatter;
    
    NSString *_label;
    NSDate *_date;
}


@end

@implementation DatePickerViewController

@synthesize datePicker = _datePicker;

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
        _dateFormatter = [[NSDateFormatter alloc] init];
        _dateFormatter.dateFormat = @"MM/dd/YYYY";
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    // Do any additional setup after loading the view from its nib.
    
    self.dateLabel.text = _label;
    self.datePicker.date = _date;
    [self updateDateDisplay];
    
    [self.datePicker addTarget:self action: @selector(updateDateDisplay) forControlEvents:UIControlEventValueChanged];
    
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


- (void)setDate:(NSString *)label date:(NSDate *)date
{
    _date = date;
    _label = label;
    
    [self updateDateDisplay];
}

- (void)updateDateDisplay
{
    self.dateDisplay.text = [_dateFormatter stringFromDate:self.datePicker.date];
}

- (NSDate *)date
{
    return self.datePicker.date;
}
@end
