//
//  Task.m
//  ToDo-RestKit
//
//  Created by Rodger Higgins on 4/9/13.
//  Copyright (c) 2013 Rodger Higgins. All rights reserved.
//

#import "Task.h"

@implementation Task
@dynamic title;
@dynamic note;
@dynamic project;
@dynamic context;
@dynamic start;
@dynamic due;

static NSDateFormatter *__dateFormatter;

- (BOOL)isComplete
{
    [self willAccessValueForKey:@"complete"];
    BOOL b = [[self primitiveValueForKey:@"complete"] boolValue];
    [self didAccessValueForKey:@"complete"];
    
    return b;
}

- (void)setComplete:(BOOL)complete
{
    [self willChangeValueForKey:@"complete"];
    [self setPrimitiveValue:[NSNumber numberWithBool:complete] forKey:@"complete"];
    [self didChangeValueForKey:@"complete"];
}


- (int)remoteId
{
    [self willAccessValueForKey:@"remoteId"];
    int i = [[self primitiveValueForKey:@"remoteId"] integerValue];
    [self didAccessValueForKey:@"remoteId"];
    return i;
}

- (void)setRemoteId:(int)remoteId
{
    [self willChangeValueForKey:@"remoteId"];
    [self setPrimitiveValue:[NSNumber numberWithInt:remoteId] forKey:@"remoteId"];
    [self didChangeValueForKey:@"remoteId"];
}

- (NSString *)formatDate:(NSDate *)date
{
    if ( __dateFormatter == nil ) {
        __dateFormatter = [[NSDateFormatter alloc] init];
        __dateFormatter.dateFormat = @"MM/dd/YYYY";
    }
    
    return [__dateFormatter stringFromDate:date];
}

- (NSString *)startDateAsString
{
    NSString *r = [self formatDate:self.start];
    return r;
}

- (NSString *)dueDateAsString
{
    return [self formatDate:self.due];
}
@end
