//
//  CoreDataModel.h
//  ToDo-RestKit
//
//  Created by Rodger Higgins on 4/9/13.
//  Copyright (c) 2013 Rodger Higgins. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>

@interface CoreDataModel : NSObject


@property (nonatomic, readonly) NSManagedObjectContext *mainContext;
@property (nonatomic, readonly) NSPersistentStoreCoordinator *persistentStoreCoordinator;

+ (CoreDataModel *)sharedDataModel;


- (NSString *)modelName;
- (NSString *)pathToModel;
- (NSString *)storeFilename;
- (NSString *)pathToLocalStore;
- (NSDictionary *)persistentStoreOptions;
- (NSString *)storeType;


- (void)startCoreData;
- (void)registerDataModelOnline:(id)object selector:(SEL)method object:(id)obj;
- (void)unregisterDataModelOnline:(id)object;
@end
