//
//  DebugSupport.h
//  ToDo-RestKit
//
//  Created by Rodger Higgins on 4/9/13.
//  Copyright (c) 2013 Rodger Higgins. All rights reserved.
//

#ifndef ToDo_RestKit_DebugSupport_h
#define ToDo_RestKit_DebugSupport_h


#ifdef DEBUG

#define DLog(...) NSLog(@"%s(%p) %@", __PRETTY_FUNCTION__, self, [NSString stringWithFormat:__VA_ARGS__])

#define ALog(...) {                                                                             \
    NSLog(@"%s(%p) %@", __PRETTY_FUNCTION__, self, [NSString stringWithFormat:__VA_ARGS__]);    \
    [[NSAssertionHandler currentHandler]                                                        \
                   handleFailureInFunction:[NSString                                            \
                         stringWithCString:__PRETTY_FUNCTION__ encoding:NSUTF8StringEncoding]   \
                                      file:[NSString stringWithCString:__FILE__                 \
                                                              encoding:NSUTF8StringEncoding]    \
                                lineNumber:__LINE__ description:__VA_ARGS__];                   \
}

#else

#define DLog(...) do {} while (0)

#ifndef NS_BLOCK_ASSERTIONS
#define NS_BLOCK_ASSERTIONS
#endif

#define ALog(...) NSLog(@"%s(%p) %@", __PRETTY_FUNCTION__, self, [NSString stringWithFormat:__VA_ARGS__])

#endif

#define ZAssert(condition, ...) do {                                            \
    if ( !(condition) ) {                                                       \
        ALog(__VA_ARGS__);                                                      \
    }                                                                           \
} while (0)



#endif
