//
//  ToDoCell.h
//  ToDo-RestKit
//
//  Created by Rodger Higgins on 4/15/13.
//  Copyright (c) 2013 Rodger Higgins. All rights reserved.
//

#import <UIKit/UIKit.h>

@class Task;


@protocol ToDoCellDelegate <NSObject>
- (void)completedState:(id)sender state:(BOOL)state;
@end

@interface ToDoCell : UITableViewCell

@property (nonatomic, weak) NSObject<ToDoCellDelegate> *delegate;

@property (nonatomic, strong) UILabel *mainTextLabel;
@property (nonatomic, strong) UILabel *noteTextLabel;
@property (nonatomic, strong) UILabel *startDateLabel;
@property (nonatomic, strong) UILabel *dueDateLabel;
@property (nonatomic, strong) UIButton *completedButton;

@property (nonatomic) CGFloat height;


- (void)setImageBySelectedState:(BOOL)selected;

- (void)setTask:(Task *)task;

@end
